<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content interface">
                   <div class="content-data">












<ol class="breadcrumb">
  <li>Interfaces</li>
  <li>ManagementEntitySelectorData</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/parameters/management-entity/selector/management-entity-selector.component.ts</code>
        </p>



        <section>
            <h3 id="index">Index</h3>
            <table class="table table-sm table-bordered index-table">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <h6><b>Properties</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                        <a href="#mode">mode</a>
                                </li>
                                <li>
                                        <a href="#operation">operation</a>
                                </li>
                                <li>
                                        <a href="#possibleChoices">possibleChoices</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </section>



            <section>
                <h3 id="inputs">Properties</h3>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="mode"></a>
                                        <span class="name"><b>mode</b><a href="#mode"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>mode:     <code><a href="../miscellaneous/enumerations.html#Mode" target="_self" >Mode</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>    <code><a href="../miscellaneous/enumerations.html#Mode" target="_self" >Mode</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="operation"></a>
                                        <span class="name"><b>operation</b><a href="#operation"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>operation:     <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="possibleChoices"></a>
                                        <span class="name"><b>possibleChoices</b><a href="#possibleChoices"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>possibleChoices:     <code>string[]</code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>    <code>string[]</code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
            </section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Inject } from &#x27;@angular/core&#x27;;
import { MAT_DIALOG_DATA, MatDialogRef, MatTableDataSource } from &#x27;@angular/material&#x27;;
import { SelectionModel } from &#x27;@angular/cdk/collections&#x27;;
import { ManagementEntityService } from &#x27;../service/management-entity.service&#x27;;
import { OperationManagementService } from &#x27;../../../service/operation-managment.service&#x27;;
import { Operation } from &#x27;../../../model/operation&#x27;;
import { Exceptions } from &#x27;../../../../core/model/exceptions&#x27;;

export enum Mode {
  invite &#x3D; &quot;invite&quot;,
  revoke &#x3D; &quot;revoke&quot;,
}

export interface ManagementEntitySelectorData {
  mode: Mode,
  possibleChoices: string[];
  operation: Operation;
}

@Component({
  selector: &#x27;management-entity-selector&#x27;,
  templateUrl: &#x27;./management-entity-selector.component.html&#x27;,
  styleUrls: [&#x27;./management-entity-selector.component.scss&#x27;]
})
export class ManagementEntitySelectorComponent {

  revokeError: string &#x3D; null;
  dataSource &#x3D; new MatTableDataSource();
  selection &#x3D; new SelectionModel&lt;any&gt;(true, []);

  constructor(@Inject(MAT_DIALOG_DATA) private data: ManagementEntitySelectorData,
              private dialogRef: MatDialogRef&lt;ManagementEntitySelectorComponent&gt;,
              private operationManagementService: OperationManagementService,
              private managementEntityService: ManagementEntityService) {
    this.search(&quot;&quot;);
  }

  get displayedColumns() {
    return [&quot;select&quot;, &quot;managementEntity&quot;];
  }

  get selectedValues() {
    return this.data.possibleChoices
  }

  get mode() {
    return this.data.mode.toString()
  }

  isAllSelected() {
    const numSelected &#x3D; this.selection.selected.length;
    const numRows &#x3D; this.dataSource.data.length;
    return numSelected &#x3D;&#x3D; numRows;
  }

  search(q) {
    this.dataSource.data &#x3D;
      this.data.possibleChoices.filter(managementEntity &#x3D;&gt;
        managementEntity.toLocaleLowerCase().indexOf(q.toLocaleLowerCase()) &gt;&#x3D; 0)
        .map(managementEntity &#x3D;&gt; {
          return {managementEntity}
        });

    this.selection.clear();
  }

  masterToggle() {
    this.isAllSelected() ?
      this.selection.clear() :
      this.dataSource.data.forEach(row &#x3D;&gt; this.selection.select(row));
  }

  validate() {
    let selectedManagementEntities: string[] &#x3D; this.selection.selected.map(v &#x3D;&gt; v.managementEntity);

    if (this.data.mode &#x3D;&#x3D; Mode.invite) {
      this.managementEntityService.invite(this.data.operation.id, selectedManagementEntities)
        .subscribe(operation &#x3D;&gt; {
          this.operationManagementService.updateOperation(operation);
          this.dialogRef.close(this.selection.selected);
        });
    } else {
      this.managementEntityService.revoke(this.data.operation.id, selectedManagementEntities)
        .subscribe(
          operation &#x3D;&gt; {
            this.operationManagementService.updateOperation(operation);
            this.dialogRef.close(this.selection.selected);
          },
          errorProvider &#x3D;&gt; errorProvider.onValidationError(Exceptions.CANNOT_REVOKE,
            error &#x3D;&gt; {
              this.revokeError &#x3D; error.globalErrors[0].message;
            }
          )
        );
    }
  }


}
</code></pre>
    </div>
</div>






                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'interface';
            var COMPODOC_CURRENT_PAGE_URL = 'ManagementEntitySelectorData.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
